Recupera una sorgente hook
GET /accounts/{account_id}/core/v1/hookSources/{hookSource_id}
Restituisce la risorsa API Hook Source memorizzata nel corpo della risposta JSON.
Parametri
| Nome | Tipo | In | Obbligatorio | Descrizione |
|---|---|---|---|---|
ID account |
stringa |
percorso |
Vero |
ID della risorsa account contenitore
|
hookSource_id |
stringa |
percorso |
Vero |
ID della hookSource collection da elencare |
Risposta
Status: 200, Returns the stored Hook Source API resource in the JSON response body.
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
Tipo di media della risorsa. I valori definiti sono:
|
versione |
stringa |
Vero |
Versione della risorsa. I valori definiti sono:
|
id |
stringa |
Vero |
Identificatore univoco globale della risorsa. I valori definiti sono:
|
nome |
stringa |
Vero |
Stringa JSON contenente un nome specificato dall'utente per la risorsa. I valori definiti sono:
|
privato |
stringa |
Vero |
Stringa JSON che indica se il campo sorgente verrà esposto nelle API o verrà lasciato intenzionalmente vuoto. I valori definiti sono:
|
precaricato |
stringa |
Vero |
Stringa JSON che indica se la sorgente è stata precaricata. I valori definiti sono:
|
sourceType |
stringa |
Vero |
Stringa JSON che definisce il tipo di origine dell'hook. I valori definiti sono:
|
fonte |
stringa |
Falso |
Stringa JSON contenente lo script da eseguire in formato base64. I valori definiti sono:
|
sourceMD5Checksum |
stringa |
Vero |
Stringa JSON contenente il checksum MD5 calcolato per il valore della chiave "source". I valori definiti sono:
|
descrizione |
stringa |
Falso |
Stringa JSON contenente una descrizione specificata dall'utente della sorgente dell'hook. I valori definiti sono:
|
metadati |
Vero |
Metadati specificati dal client e dal servizio associati alla risorsa. I valori definiti sono:
|
Risposta tipo
{
"type": "application/astra-hookSource",
"version": "1.0",
"id": "fae6dfbb-ecb8-58ff-a116-6357eb7c956a",
"name": "Payroll script",
"private": "false",
"preloaded": "false",
"sourceType": "script",
"source": "ZWNobyAiVkhKaGJuTWdVbWxuYUhSeklRPT0iIHwgYmFzZTY0IC1k",
"sourceMD5Checksum": "b1a4b8b0144c3f6be553b626130ca145",
"description": "Pre and post hook script for payroll",
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
Risposta
Status: 401, Unauthorized
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Risposta
Status: 400, Bad request
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
|
invalidParams |
vettore["invalidParams"] |
Falso |
Elenco dei parametri di query non validi |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Risposta
Status: 403, Forbidden
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Risposta tipo
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Errore
Status: 404, Not found
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
tipo |
stringa |
Vero |
|
titolo |
stringa |
Vero |
|
dettaglio |
stringa |
Vero |
|
stato |
stringa |
Vero |
|
ID correlazione |
stringa |
Falso |
Esempio di risposta di errore
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
Definizioni
Vedi definizioni
etichetta tipo_astra
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
|
valore |
stringa |
Vero |
aggiornamento dei metadati di tipo Astra
Metadati specificati dal client e dal servizio associati alla risorsa. I valori definiti sono:
-
Conforme allo schema dei metadati di Astra. Se non specificato in fase di creazione, verrà creato un oggetto metadati senza etichette. Se non specificato in fase di aggiornamento, le etichette dell'oggetto metadati, creationTimestamp e createdBy, verranno conservate senza modifiche.
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
etichette |
vettore["etichetta tipo_astra"] |
Falso |
|
CreationTimestamp |
stringa |
Falso |
|
ModificationTimestamp |
stringa |
Falso |
|
CreatedBy |
stringa |
Falso |
|
modifiedBy |
stringa |
Falso |
invalidParams
| Nome | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
nome |
stringa |
Vero |
Nome del parametro di query non valido |
motivo |
stringa |
Vero |
Motivo per cui il parametro di query non è valido |